<?php
@error_reporting(E_ALL ^ E_WARNING ^ E_NOTICE);
@ini_set('error_reporting', E_ALL ^ E_WARNING ^ E_NOTICE);

define('DATALIFEENGINE', true);
define('ROOT_DIR', dirname(__FILE__));
define('ENGINE_DIR', ROOT_DIR.'/engine');

require_once ENGINE_DIR.'/classes/mysql.php';
require_once ENGINE_DIR.'/data/dbconfig.php';
require_once ENGINE_DIR.'/data/config.php';

$mod_name  = 'moonbase';
$mod_title = 'MoonBase (База Moonwalk)';
$mod_desc  = 'Наличие фильмов и сериалов с базы Moonwalk.cc в базе сайта';
$mod_im    = 'moonbase.png';
$mod_secr  = '1';

$charset = ( strtolower( $config['charset'] ) != 'utf-8' ) ? true : false;
if ($charset){
  $mod_title = iconv("UTF-8", "WINDOWS-1251", $mod_title);
  $mod_desc = iconv("UTF-8", "WINDOWS-1251", $mod_desc); 
}
$char_html = "UTF-8";   

$db->query("DELETE FROM ".PREFIX."_admin_sections WHERE name = '".$mod_name."'");
$db->query("INSERT INTO ".PREFIX."_admin_sections (name, title, descr, icon, allow_groups) VALUES ('".$mod_name."', '".$mod_title."', '".$mod_desc."', '".$mod_im."', '1')");

echo <<<HTML
<!doctype html>
<html>
<head>
	<title>Модуль MoonBase</title>
	<meta http-equiv="Content-Type" content="text/html; charset={$char_html}" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="HandheldFriendly" content="true">
	<meta name="format-detection" content="telephone=no">
	<meta name="viewport" content="user-scalable=no, initial-scale=1.0, maximum-scale=1.0, width=device-width"> 
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-status-bar-style" content="default">
    <link href="engine/skins/fonts/fontawesome/styles.min.css" media="screen" rel="stylesheet" type="text/css" />
    <link href="engine/skins/stylesheets/application.css" media="screen" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="engine/skins/javascripts/application.js"></script>

</head>
<body class="no-theme">
<div class="page-container">
	<div class="page-content">
		<div class="col-md-8 col-md-offset-2 mt-20">
			<div class="panel panel-default">
				<div class="alert alert-success alert-styled-left alert-arrow-left alert-component message_box">
				  <h4>Модуль MoonBase установлен!</h4>
				  <div class="panel-body">
						<table width="100%">
							<tbody><tr>
								<td height="80" class="text-center">Модуль MoonBase успешно установлен! Не забудьте удалить файл <b>moonbase_install.php</b> из корня сайта.</td>
							</tr>
						</tbody></table>
					</div>
					<div class="panel-footer"><div class="text-center"><b>Автор:</b> Sistemos.ru | <b>Telegram:</b> @Sistemos</div></div>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>
HTML;
