<?php
/**
 * ============================================================
 * Назначение: поиск в базе moonwalk.cc по названию или id кп
 * Автор:      Sistemos.ru
 * Telegram:   @Sistemos
 * E-mail:     sistemos-art@yandex.ru
 * Skype:      Sistemos
 * Год:        2018
 * ============================================================
 */   
@error_reporting(E_ALL ^ E_WARNING ^ E_NOTICE);
@ini_set('display_errors', true);
@ini_set('html_errors', true);
@ini_set('error_reporting', E_ALL ^ E_WARNING ^ E_NOTICE);

define('DATALIFEENGINE', true);
define('ROOT_DIR', substr(dirname(__FILE__), 0, -12));
define('ENGINE_DIR', ROOT_DIR . '/engine');

require_once ENGINE_DIR.'/modules/functions.php';
require_once ENGINE_DIR.'/classes/mysql.php';
require_once ENGINE_DIR.'/data/dbconfig.php';
require_once ENGINE_DIR.'/data/config.php';
require_once ENGINE_DIR.'/data/moonbase_options.php';
require_once ENGINE_DIR.'/inc/moonbase/libs.php';

if ($config['http_home_url'] == '') {
	$config['http_home_url'] = explode('engine/ajax/iprem_ajax.php', $_SERVER['PHP_SELF']);
	$config['http_home_url'] = reset($config['http_home_url']);
	$config['http_home_url'] = 'http://' . $_SERVER['HTTP_HOST'] . $config['http_home_url'];
}


if (function_exists("dle_session")) dle_session();


/**********************************************************************************/


// Если прилетело название или id для поиска в moonwalk.cc
if ($_POST["query"]) {

    $query = trim($_POST["query"]);
	# данные из api
    $json = apiCheckajax ($query, $moonBaseOptions, $config);		
	# данные из бд (id, alt_name, xfields_idkp, xfields_waid)
	$out = db_out($db,$moonBaseOptions);
	# кодировка для функции myIconv
	$Settings['config'] = $config;
	
echo '<table class="table table-normal" style="border-bottom: 2px solid #e1e1e1;">';
echo <<<HTML
<thead>
    <tr>
        <td class="search-title" style="width:60px;">id КП</a></td>
		<td class="search-title" style="width:60px;">Тип</td>
        <td class="search-title">Название</td>
        <td class="search-title" style="width:60px;">Год</td>
		<td class="search-title" style="width:60px;">Инфа</td>
        <td class="search-title" style="width:60px;">Качество</td>
        <td class="search-title" style="width:60px;">Блок</td>
		<td class="search-title" style="width:80px;">Перевод</td>
		<td class="search-title" style="width:110px;">Добавлено, обновлено</td>
		<td class="search-title" style="width:60px;">Ссылка плеера</td>
		<td class="search-title" style="width:60px;"><br>Наличие</td>
    </tr>
</thead>
<tbody>
HTML;

    foreach ($json as $k => $obj) { 
	
		# ссылки на кинопоиск
		$link_id = '<a href="https://www.kinopoisk.ru/film/'.$obj->kinopoisk_id.'/" target="_blank" class="status-info tip" title="Перейти на Кинопоиск">'.$obj->kinopoisk_id.'</a>';
		
		# ссылки на world-art
		if ($obj->category == 'anime' && $obj->world_art_id)
			$link_id .= ' <a href="http://www.world-art.ru/animation/animation.php?id='.$obj->world_art_id.'" target="_blank" class="status-info tip" title="Перейти на World-Art">'.$obj->world_art_id.'</a>'; 
		
		# перевод
		$translator = ($obj->translator) ? myIconv ($obj->translator, $config) : 'n/a';
		
		# название на русском
		$title_ru = myIconv ($obj->title_ru, $config);
		# наличие рекламы
		if ($obj->instream_ads) 
			$title_ru .= '<span class="t-ad" title="Присуствует назойливая реклама">*</span>';
		# наличие на английском
		if ($obj->title_en) 
			$title_ru  .= '<br><span style="font-size: 12px;">'.$obj->title_en.'</span>';
		
		# блок по странам
		$block = block_cauntry($obj->block);
		
		# тип
		if ($obj->type == 'movie')  $type = '<span class="label label-success">Фильм</span>';
		if ($obj->type == 'serial') $type = '<span class="label label-warning">Сериал</span>';
		if ($obj->type == 'movie' && $obj->category == 'anime') 
			$type = '<span class="label label-success">Аниме</span>';		
		if ($obj->type == 'serial' && $obj->category == 'anime') 
			$type = '<span class="label label-warning">Аниме Сериал</span>';
		
		# инфа
		if ($obj->type == 'serial') $sd = true;
		$info = materialDatePars ($obj, $sd, true);
		
		# качество
		if (!$obj->source_type) {
			if ($obj->type == 'movie')
				$quality = (!$obj->camrip) ? 'HDRip' : 'CAMRip';
			else
				$quality = (!$obj->camrip) ? 'Хорошее' : 'CAMRip';
		}
		else 
			$quality = $obj->source_type;
		
		# дата
		$date_up = ($obj->type == 'movie') ? $obj->added_at : $obj->last_episode_time;
		
		# наличие в базе	
		$news_check = bdChekAjax ($obj->kinopoisk_id, $obj->world_art_id, $obj->category, $out);
		$have = iconCheck ($news_check); // иконка

echo <<<HTML

    <tr>
        <td style="text-align: center; font-size:14px;">{$link_id}</td>
        <td style="font-size: 14px;">{$type}</td>
		<td style="font-size: 14px;">{$title_ru}</td>
        <td style="text-align: center; font-size: 14px;">{$obj->year}</td>
		<td style="text-align: center; font-size: 12px;"><div class="block"><div class="hover"><i class="icon-info-sign"></i></div><span class="hidden">{$info}</span></div></td>
        <td style="text-align: center; font-size: 12px;"><span class="label label-primary">{$quality}</span></td>
        <td style="text-align: center; font-size: 14px;">{$block}</td>
		<td style="text-align: center; font-size: 12px;">{$translator}</td>
		<td style="text-align: center; font-size: 14px;">{$date_up}</td>
		<td style="text-align: center; font-size: 10px;"><a href="{$obj->iframe_url}/" target="_blank"><i class="icon-link icon-2x" style="color:#4C9ECD;"></i></a></td>
		<td style="text-align: center; font-size: 14px;">{$have}</td>
    </tr>

HTML;

    }

echo '</tbody></table>';


}



// получение json данных
function apiCheckajax ($query, $moonBaseOptions, $config){
	
	// idkp или название
	if (is_numeric($query))
		$url_api = 'http://moonwalk.cc/api/videos.json?kinopoisk_id='.$query.'&api_token='.$moonBaseOptions['api_token_moon'];
    else {
		$url_api = 'http://moonwalk.cc/api/videos.json?title='.urlencode ($query).'&api_token='.$moonBaseOptions['api_token_moon'];
	}
		
	$result = parsURLajax ($url_api);
	
    return $result;
}


// Парсинг контента
function parsURLajax  ($url, $proxy = false, $proxy_auth = false) 
{
    if ( $curl = curl_init() ) 
	{
        curl_setopt($curl, CURLOPT_URL, $url);
		  if ($proxy) curl_setopt($curl, CURLOPT_PROXY, $proxy);	
		  if ($proxy_auth) curl_setopt($curl, CURLOPT_PROXYUSERPWD, $proxy_auth);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($curl, CURLOPT_USERAGENT,"Mozilla/5.0 (Windows; U; Windows NT 5.1; ru-RU; rv:1.7.12) Gecko/".rand(10000000, 30000000)." Firefox/1.0.7");
        curl_setopt($curl, CURLOPT_REFERER, "http://moonwalk.cc/");
        curl_setopt($curl, CURLOPT_FOLLOWLOCATION, 1);
        curl_setopt($curl, CURLOPT_ENCODING, "");
        curl_setopt($curl, CURLOPT_CONNECTTIMEOUT, 6);
        curl_setopt($curl, CURLOPT_TIMEOUT, 9);
        curl_setopt($curl, CURLOPT_MAXREDIRS, 10);
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
        $output = curl_exec($curl);
        $content  = json_decode($output);
        curl_close($curl);
    } else
        $content = json_decode(file_get_contents($url));
	return $content;
}

// проверка наличия в базе
function bdChekAjax ($idkp_moon, $waid_moon, $category, $out) {		
	$chek = 'no';	
	foreach ($out['xfields_idkp'] as $k => $xfields_idkp ) {
		if ($xfields_idkp && $idkp_moon) {
			if ($xfields_idkp == $idkp_moon) {
				$chek = 'yes';
			}
		}		
	}
	if ($category =='anime' && $waid_moon) {
		foreach ($out['xfields_waid'] as $k => $xfields_waid ) {
			if ($xfields_waid) {
				if ($xfields_waid == $waid_moon) {
					$chek = 'yes';
				}
			}			
		}		
	}
	return $chek;
}