﻿<?php
@error_reporting(E_ALL ^ E_WARNING ^ E_NOTICE);
@ini_set('error_reporting', E_ALL ^ E_WARNING ^ E_NOTICE);

define('DATALIFEENGINE', true);
define('ROOT_DIR', dirname(__FILE__));
define('ENGINE_DIR', ROOT_DIR.'/engine');

require_once ENGINE_DIR.'/classes/mysql.php';
require_once ENGINE_DIR.'/data/dbconfig.php';
require_once ENGINE_DIR.'/data/config.php';

$mod_name  = 'moonbase';
$mod_title = 'MoonBase (База Moonwalk)';
$mod_desc  = 'Наличие фильмов и сериалов с базы Moonwalk.cc в базе сайта';
$mod_im    = 'moonbase.png';
$mod_secr  = '1';

$charset = ( strtolower( $config['charset'] ) != 'utf-8' ) ? true : false;
if ($charset){
  $mod_title = iconv("UTF-8", "WINDOWS-1251", $mod_title);
  $mod_desc = iconv("UTF-8", "WINDOWS-1251", $mod_desc); 
}
$char_html = "UTF-8";   

$db->query("DELETE FROM ".PREFIX."_admin_sections WHERE name = '".$mod_name."'");
$db->query("INSERT INTO ".PREFIX."_admin_sections (name, title, descr, icon, allow_groups) VALUES ('".$mod_name."', '".$mod_title."', '".$mod_desc."', '".$mod_im."', '1')");

echo <<<HTML
<!doctype html>
<html>
<head>
  <meta charset="{$char_html}">
  <meta name="viewport" content="width=device-width, maximum-scale=1, initial-scale=1, user-scalable=0">
  <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible">
  <title>Модуль MoonBase</title>
  <link href="engine/skins/stylesheets/application.css" media="screen" rel="stylesheet" type="text/css" />
  <script type="text/javascript" src="engine/skins/javascripts/application.js"></script>
<style type="text/css">
body {background: url("engine/skins/images/bg.png");}
</style>
</head>
<body>
<div class="container">
	<div class="col-md-8 col-md-offset-2">
		<div class="padded">
			<div style="margin-top: 10px;">
				<div class="box">
				  <div class="box-header">
					<div class="title">Установка успешно завершена</div>
				  </div>
				  <div class="box-content">
					<div class="row box-section">
						<div style="text-align: center;color:green;">Модуль MoonBase успешно установлен. Не забудьте удалить файл <b>moonbase_install.php</b> из корня сайта!</div>
					</div>
					<div class="row box-section">
						<div style="text-align: center;"><b>Автор:</b> Sistemos.ru | <b>E-mail</b>: sistemos-art@yandex.ru | <b>Telegram</b>: @Sistemos</div>
					</div>
				  </div>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>
HTML;
